Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.document
Class PathEditorInputProxy

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.EditorInputProxy
          org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.PathEditorInputProxy

All Implemented Interfaces:
  IAdaptable, MEditingDomainElement, IEditorInput, IPathEditorInput

    public class PathEditorInputProxy

extends EditorInputProxy
implements IPathEditorInput, MEditingDomainElement

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.EditorInputProxy
`editingDomain, fProxied`

Constructor Summary
`PathEditorInputProxy(IPathEditorInput input, TransactionalEditingDomain domain)`

Method Summary
`IPath` `getPath()`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.EditorInputProxy
`equals, exists, getAdapter, getEditingDomain, getImageDescriptor, getName, getPersistable, getToolTipText, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IEditorInput
`exists, getImageDescriptor, getName, getPersistable, getToolTipText`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.MEditingDomainElement
`getEditingDomain`

Constructor Detail

### PathEditorInputProxy

    public PathEditorInputProxy(IPathEditorInput input,
                                TransactionalEditingDomain domain)

Parameters:
  `input` - IEditorInput
  `domain` - EditingDomain

Method Detail

### getPath

    public IPath getPath()

  Specified by:
    `getPath` in interface `IPathEditorInput`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.